CEPTD(8)

NAME
ceptd - Server for the xcept CEPT decoder

SYNOPSIS
ceptd [-f filename] [-p port] [-d] [-s filename] [-u filename]

DESCRIPTION
ceptd is the server process for the xcept CEPT decoder. The server uses the TCP protocol and listens at the port specified in the command line or in the ``ceptd'' service specification; see services(5). ceptd can be started from the inetd. If not started from inetd, ceptd will deal with connection request forking on connects. If standard input and output of ceptd are sockets, ceptd assumes being started from inetd.

Available options:

-p port
    Listen for connections on port with number ``port''. This option is only available if ceptd is not started from inetd.

-f filename
    Use file with filename ``filename'' as the modem initialization file. Executed when xcept establishes a connection.

-s filename
    Use file with filename ``filename'' as the user access file. Access permissions are checked at every connection.

-u filename
    Use file with filename ``filename'' as the user log file. This file contains the user online times and will be updated after every session.

-d  Write additional debug output to the syslog or to the standard error. If ceptd is started from inetd, error and debug output is written to the syslog, otherwise it is written to stderr.

The default values for the `initialization file', for the `permissions file', for the `log file' and the socket port number are displayed when ceptd prints out its usage information.

INITIALIZATION FILE:

This file contains commands to initialize the server at connection setup. Available commands are:

opendevice <speed> <"devicename">
    Open the modem device with baud rate ``speed'' and device name ``devicename''. This has to be the first entry in the file.
    Example: opendevice 19200 "/dev/tty01"

baud <speed>
    Switch baud rate to speed ``speed''
    Example: baud 2400 # switch to 2400 baud

sleep <time>
    Sleep for the given time ``time''. The time value is in 1/10 of a second.
    Example: sleep 40 # sleep 4 sec.

wait <time>
    Wait ``time'' seconds for the answer to be received from the modem. If the initialized string doesn't match in the given time, the connection to the client is closed.
    Example: wait 40 # timeout 40 sec

send <"string">
    Send a given string to the modem.
    Example: send "ATDP 091119304^M" # dial 091119304

hangupstring <"string">
    Set the hangup string of the modem.
    Example: hangupstring "~+++~ATH0"

connectstring <"string">
    Set the connect string of the modem.
    Example: connectstring "CONNECT 2400^M"

nodialtonestring <"string">
    Set the no dialtone string of the modem.
    Example: nodialtonestring "NO DIALTONE^M"

nocarrierstring <"string">
    Set the no carrier string of the modem.
    Example: nocarrierstring "NO CARRIER^M"

busystring <"string">
    Set the busy string of the modem.
    Example: busystring "BUSY^M"

isdn <"string1"> <"string2">
    Only if your system supports isdn networking. This command connects to isdn port '"string1"' using device '"string2"'. If you use this command it should be the only command in the initialization file.
    Example: isdn "00500000499111910" "/dev/isdn"

Special characters in the strings are:

~   sleep 1 sec (no output is produced)

\   quote character e.g. \^ \~ \\

^   control character e.g. ^M = return ^J = line_feed

PERMISSIONS FILE:

This file contains all users who are allowed to use the ceptd. The following entries are possible:

           a comment: # foo bla foo
           a user entry: username
           a host entry: @hostname
           a user/host entry: username@hostname

The user username@machine gets permission to use the ceptd if the file contains one of the following:

username@machine

OR

@machine
username

A user gets access if he is mentioned explicitly with his machine (user/host entry) OR if his machine is among the allowed hosts (host entry) and he is among the allowed users (user entry).

FILES
/etc/cept.users
/etc/cept.init
/var/log/log.cept

AUTHORS

Arno Augustin, University of Erlangen-Nuremberg,
    (aoaugust@cip.informatik.uni-erlangen.de)

Frank Hoering, University of Erlangen-Nuremberg,
    (fkhoerin@cip.informatik.uni-erlangen.de)

BUGS
Although some attempts at enforcing access permissions are done, ceptd can still be fooled ...

SEE ALSO
xcept(1), inetd(8), syslogd(8), services(5)